<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>mouseTwo</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
    <h2 id="mouse">Проведи надо мной указателем мыши</h2>
    <script>
        $('#mouse').mouseenter(function (){
            $(this).html('Мышка на самомом элементе')
        })
        $('#mouse').mouseleave(function (){
            $(this).html('Мышка ушла с элемена h2')
        })
    </script>
</body>
</html>